Page MenuHomePhabricator

Phabricator lets you mark a bug as a duplicate, but not define the duplicated task in the same change
Closed, ResolvedPublic

Description

In Bugzilla you can RESOLVE DUPLICATE and specify the bug number that is being duplicated, all at once.

In Phabricator you can edit a task and resolve as DUPLICATE, but then it seems that you need to specify the task duplicated as a comment, in a new action?

Details

Reference
fl94

Event Timeline

flimport raised the priority of this task from to Low.Sep 12 2014, 1:24 AM
flimport set Reference to fl94.

aklapper wrote on 2014-04-17 12:57:24 (UTC)

Confirming via http://fab.wmflabs.org/maniphest/task/edit/123456 - I don't think we want to be able to mark tickets as duplicate without the requirement to define the duplicate.

Could not find an upstream ticket hence filed https://secure.phabricator.com/T4819

T3rminat0r wrote on 2014-04-21 19:05:22 (UTC)

✘ Merged into T58.

qgil wrote on 2014-04-22 05:46:24 (UTC)

Replied upstream:

"This is probably a bug; that status should not appear in "Edit Task" unless the task already has the status. I'll fix this.

Use the "Merge Duplicates In" action to merge duplicates. This will handle closing the duplicate, bringing users over, and annotating both tasks."

qgil wrote on 2014-05-10 20:57:55 (UTC)

https://secure.phabricator.com/T4819 is Closed, Resolved upstream.

They have fixed it by getting rid of the option to mark a task as duplicate. The only process now is to go to the duplicated task (the one that will stay) and "Merge Duplicates In", which will close the duplicate accordingly.

importing issue status

flimport closed this task as Resolved.Sep 12 2014, 1:24 AM
Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMay 23 2016, 6:07 PM